%global snapshot_date 20110710
%global snapshot_revision 31

Name:			python-grapefruit
Version:		0.1a3
Release:		1.%{snapshot_date}svn%{snapshot_revision}%{?dist}
Summary:		Python module for easily manipulation and convert color information

Group:			Development/Libraries
License:		ASL 2.0
URL:			https://code.google.com/p/grapefruit/
#clone and tarred : svn export -r%%{snapshot_revision} http://grapefruit.googlecode.com/svn/trunk/ %%{name}-%%{version}
#tar -cJvf %%{name}-%%{version}svn%%{snapshot_revision}.tar.xz %%{name}-%%{version}
Source0:		%{name}-%{version}svn%{snapshot_revision}.tar.xz
BuildArch:		noarch
BuildRequires:	python2-devel

%description
GrapeFruit is a pure python module that let you easily manipulate and convert
color information. It's primary goal is to be natural and flexible.

%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root="$RPM_BUILD_ROOT"
chmod 655 $RPM_BUILD_ROOT%{python_sitelib}/grapefruit.py
sed -i 's/\r//' CHANGES LICENSE TODO doc/Makefile doc/index.rst doc/conf.py doc/makedoc.cmd


%files
%{python_sitelib}/*.egg-info
%{python_sitelib}/grapefruit.py*

%doc doc/ CHANGES COPYING README LICENSE TODO


%changelog

* Sun Jul 10 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.1a3-1.20110710svn31
- Initial RPM release
